Migrating to FUSE-based POSIX Clients

The FUSE-based Basic or Platinum POSIX client package is recommended for fresh installation and for all new clusters. If you are currently running the POSIX loopback NFS client, you can migrate to the FUSE-based POSIX basic client package. By default, the system will only allow migrating the existing POSIX loopbacknfs client to the FUSE-based POSIX basic client. If you choose to upgrade using the existing loopbacknfs POSIX client licenses, by default, the system will upgrade the selected nodes to the (paid) FUSE-based POSIX basic client. You cannot use existing licenses to migrate to the Platinum POSIX client package.

Before upgrading, ensure that the cluster has been upgraded to MapR v5.1.0 because the FUSE-based POSIX client can only connect to clusters running MapR v5.1.0.

To migrate to the FUSE-based POSIX Basic Client:

  1. Stop the existing POSIX-loopbacknfs service, unmount the mountpoint, and uninstall the mapr-loopbacknfs POSIX client.
    For more information, see MapR loopbacknfs POSIX Client.
  2. Install the FUSE-based POSIX basic client package.
    When you install the FUSE-based POSIX client package, the licenses for the POSIX-loopbacknfs client will be automatically applied to the new client package.
  3. Verify the FUSE-based POSIX client license.